import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:gobang/pages/splash/splash_page.dart';

/// Description: enter point
/// Time       : 02/21/2024 Wednesday
/// Author     : liuyuqi.gov@msn.cn
void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(MyApp());
  SystemChrome.setSystemUIOverlayStyle(const SystemUiOverlayStyle(
    statusBarColor: Colors.transparent,
    statusBarIconBrightness: Brightness.dark,
    systemNavigationBarColor: Colors.transparent,
    systemNavigationBarIconBrightness: Brightness.dark,
  ));
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: '南瓜五子棋',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: SpalshPage(),
    );
  }
}
